import type { _NSSymbolEffect } from "./NSSymbolEffect.js";
export declare class _NSSymbolWiggleEffect extends _NSSymbolEffect {
    static alloc(): _NSSymbolWiggleEffect;
    static new(): _NSSymbolWiggleEffect;
    init(): _NSSymbolWiggleEffect;
    /** The default wiggle effect, determined by the system. */
    static effect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that rotates back and forth, starting by rotating clockwise.
     */
    static wiggleClockwiseEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that rotates back and forth, starting by rotating counter-clockwise.
     */
    static wiggleCounterClockwiseEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth horizontally, starting by moving left.
     */
    static wiggleLeftEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth horizontally, starting by moving right.
     */
    static wiggleRightEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth vertically, starting by moving up.
     */
    static wiggleUpEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth vertically, starting by moving down.
     */
    static wiggleDownEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth horizontally based on the current locale, starting by moving forward.
     */
    static wiggleForwardEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth horizontally based on the current locale, starting by moving backward.
     */
    static wiggleBackwardEffect(): _NSSymbolWiggleEffect;
    /**
     * Convenience initializer for a wiggle effect that moves back and forth along an axis, starting by moving toward a custom angle. The angle is in degrees moving clockwise from the positive x-axis.
     */
    static wiggleCustomAngleEffect$(angle: number): _NSSymbolWiggleEffect;
    /** Returns a copy of the effect that animates incrementally, by layer. */
    effectWithByLayer(): _NSSymbolWiggleEffect;
    /**
     * Returns a copy of the effect that animates all layers of the symbol simultaneously.
     */
    effectWithWholeSymbol(): _NSSymbolWiggleEffect;
}
